const require_DidCommStatusRequestV2Message = require('../messages/DidCommStatusRequestV2Message.js');
require('../messages/index.js');

//#region ../didcomm/src/modules/message-pickup/protocol/v2/handlers/DidCommStatusRequestV2Handler.ts
var DidCommStatusRequestV2Handler = class {
	constructor(messagePickupService) {
		this.supportedMessages = [require_DidCommStatusRequestV2Message.DidCommStatusRequestV2Message];
		this.messagePickupService = messagePickupService;
	}
	async handle(messageContext) {
		messageContext.assertReadyConnection();
		return this.messagePickupService.processStatusRequest(messageContext);
	}
};

//#endregion
exports.DidCommStatusRequestV2Handler = DidCommStatusRequestV2Handler;